{{- if .Values.istio.enabled -}}
apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: {{ include "badhouseplants-net.fullname" . }}
  labels:
    {{- include "badhouseplants-net.labels" . | nindent 4 }}
  {{- with .Values.istio.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  gateways:
  - istio-system/badhouseplants-net
  hosts: 
    {{- range .Values.istio.hosts}}
    - {{ . }}
    {{- end }}
  http:
  - match:
    - uri:
        prefix:  {{ .Values.istio.prefix }}
    route:
    - destination:
        host: {{ include "badhouseplants-net.fullname" . }}
        port:
          number: {{ .Values.service.port }}
{{- end }}
---
{{- if .Values.remark42.istio.enabled -}}
apiVersion: networking.istio.io/v1beta1
kind: VirtualService
metadata:
  name: {{ include "remark42.fullname" . }}-remark42
  labels:
    {{- include "badhouseplants-net.labels" . | nindent 4 }}
  {{- with .Values.remark42.istio.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  gateways:
  - istio-system/badhouseplants-net
  hosts: 
    {{- range .Values.remark42.istio.hosts}}
    - {{ . }}
    {{- end }}
  http:
  - match:
    - uri:
        prefix:  {{ .Values.remark42.istio.prefix }}
    route:
    - destination:
        host: {{ .Release.Name }}-remark42
        port:
          number: {{ .Values.remark42.service.port }}
{{- end }}
